2020-06-04 17:49 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003779Blastar[WHDLoad Installs Games] slavepublic2020-04-08 00:04
ReporterWepl 
Assigned ToJOTDProject InfoBlastar (Core Design)
http://www.whdload.de/games/Blastar.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0003779: interrupt acknowledge problems, requires NoCache on 68060 to run
Descriptionwithout NoCache: in the first level screen is trembling, maybe caused by interrupt problem
dump is with ChkInts and fault is occuring before game screen appears
works fine with NoCache
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed60
ChipSetAGA
GFXCardCyberVision 64/3D
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftSelfmade
WHDLoad18.4beta
imported
Attached Files
  • ? file icon blastar.whdl_register (3,740 bytes) 2017-12-21 12:50 -
    ************************* 21-Dez-17 12:42:01 ************************18.4.5889***
    Slave='blastar.slave' (1456 bytes)
    ShadowMem  918FB90 -  91B2B90 ( 143360) AbsolutMem    23000 -   200000 (1953792)
    Resload    FBAC000 -  FBB423C (  33340) at FBAC000  GL=$FC37000
    Slave      FC40000 -  FC4058C (   1420) at FC40000  BaseMemSize=$80000
    ExpMem     FBB6000 -  FC36000 ( 524288) at FBB6000
    attn=FF(60,82) fc=-1 kn=1111 cs=34F3 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    INT3: external interrupt or insufficient interrupt acknowledge PC = $FBB686E
    (ExpMem $86E)
    
    $0fbb6832 jmp          ($fbb6244,pc)
    $0fbb6836 move.b       #2,($30ab,a5)                  ;$00016599
    $0fbb683c jsr          ($fbd5e52)
    $0fbb6842 jmp          ($fbb6244,pc)
    $0fbb6846 move.l       d0,-(a7)                       ;$0fc2837c
    $0fbb6848 move.w       #$7d0,d0
    $0fbb684c dbf          d0,$fbb684c
    $0fbb6850 move.l       (a7)+,d0                       ;$0fc2837c
    $0fbb6852 rte
    $0fbb6854 addq.b       #1,($fbb68e0)
    $0fbb685a jsr          ($fbff942)
    $0fbb6860 move.w       #$20,($dff09c)
    $0fbb6868 movem.l      (a7)+,d0-d7/a0-a6              ;$0fc2837c
    $0fbb686c rte
    $0fbb686e movem.l      d0-d7/a0-a6,-(a7)              ;$0fc2837c
    $0fbb6872 lea          ($fbb68e4),a5
    $0fbb6878 lea          ($dff000),a6
    $0fbb687e move.w       ($1e,a6),d0                    ;$00026736
    $0fbb6882 btst         #5,d0
    $0fbb6886 bne.b        $fbb6854
    $0fbb6888 addq.b       #1,($30aa,a5)                  ;$00016598
    $0fbb688c move.b       ($30aa,a5),d0                  ;$00016598
    $0fbb6890 cmp.b        ($30ab,a5),d0                  ;$00016599
    $0fbb6894 ble.b        $fbb68a0
    $0fbb6896 tst.b        ($30ad,a5)                     ;$0001659b
    $0fbb689a bne.b        $fbb68a0
    $0fbb689c clr.b        ($30aa,a5)                     ;$00016598
    $0fbb68a0 clr.b        ($30ac,a5)                     ;$0001659a
    $0fbb68a4 cmpi.w       #$30,($1d64,a5)                ;$00015252
    
    exception stackframe:
    $0FC2837C 20000FBD C8F4006C
    regular stack:
    $0FC28384 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283A4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283C4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283E4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC28404 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx D0BCD2D2  D3CBB5D2  C24DACF9  B4FFE3DF  CAD0B5CB  CCE8E9E1  E6D801CB   7E92BE1
    Ax    240D8     134EE   FC28386     13500     211CE     134EE     26718
    
                     TTSM III   XNZVC
    PC= FBB686E  SR %0010001100000000  USP=7FC00  SSP=FC2837C
    VBR=FC38000  SFC=5  DFC=5  CACR=80008000  PCR=4300622  BUSCR=0
    TC=8000  URP=FD8A000  SRP=FD8A000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000111000 dmacon=%0010011111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...015E  joy0dat..0001  joy1dat..0000  clxdat...8001  
    pot0dat..1200  pot1dat..EB77  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...7FA1  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000031  icr=00  sdr=00    event=003BE9  icr=04  sdr=00
    
    ? file icon blastar.whdl_register (3,740 bytes) 2017-12-21 12:50 +
  • ? file icon Blastar.slave (1,508 bytes) 2017-12-21 14:15
  • ? file icon blaster.2.whdl_register (3,678 bytes) 2017-12-21 14:58 -
    ************************* 21-Dez-17 14:56:19 ************************18.4.5889***
    Slave='blastar.slave' (1508 bytes)
    ShadowMem  9307C08 -  932AC08 ( 143360) AbsolutMem    23000 -   200000 (1953792)
    Resload    FBAC000 -  FBB423C (  33340) at FBAC000  GL=$FC37000
    Slave      FC40000 -  FC405C0 (   1472) at FC40000  BaseMemSize=$80000
    ExpMem     FBB6000 -  FC36000 ( 524288) at FBB6000
    attn=FF(60,82) fc=-1 kn=1111 cs=34F3 rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    INT3: external interrupt or insufficient interrupt acknowledge PC = $FBB686E
    (ExpMem $86E)
    
    $0fbb6836 move.b       #2,($30ab,a5)                  ;$00016599
    $0fbb683c jsr          ($fbd5e52)
    $0fbb6842 jmp          ($fbbb6fd,pc)
    $0fbb6846 bset         d7,d4
    $0fbb6848 dc.w         $03fe
    $0fbb684a nop
    $0fbb684c dbf          d0,$fbb684c
    $0fbb6850 move.l       (a7)+,d0                       ;$0fc2837c
    $0fbb6852 rte
    $0fbb6854 addq.b       #1,($fbb68e0)
    $0fbb685a jsr          ($fbff942)
    $0fbb6860 move.w       #$20,($dff09c)
    $0fbb6868 movem.l      (a7)+,d0-d7/a0-a6              ;$0fc2837c
    $0fbb686c rte
    $0fbb686e movem.l      d0-d7/a0-a6,-(a7)              ;$0fc2837c
    $0fbb6872 lea          ($fbb68e4),a5
    $0fbb6878 lea          ($dff000),a6
    $0fbb687e move.w       ($1e,a6),d0                    ;$00026736
    $0fbb6882 btst         #5,d0
    $0fbb6886 bne.b        $fbb6854
    $0fbb6888 addq.b       #1,($30aa,a5)                  ;$00016598
    $0fbb688c move.b       ($30aa,a5),d0                  ;$00016598
    $0fbb6890 cmp.b        ($30ab,a5),d0                  ;$00016599
    $0fbb6894 ble.b        $fbb68a0
    $0fbb6896 tst.b        ($30ad,a5)                     ;$0001659b
    $0fbb689a bne.b        $fbb68a0
    $0fbb689c clr.b        ($30aa,a5)                     ;$00016598
    $0fbb68a0 clr.b        ($30ac,a5)                     ;$0001659a
    $0fbb68a4 cmpi.w       #$30,($1d64,a5)                ;$00015252
    
    exception stackframe:
    $0FC2837C 20000FBD C8F4006C
    regular stack:
    $0FC28384 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283A4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283C4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC283E4 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $0FC28404 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx   A4201D  8594E20E  110D8957   2083CCD  F600FAF3  FEC95A11  1AEDF4F4  EAD135F1
    Ax    23698     134EE   FC28386     13500     2078E     134EE     26718
    
                     TTSM III   XNZVC
    PC= FBB686E  SR %0010001100000000  USP=7FC00  SSP=FC2837C
    VBR=FC38000  SFC=5  DFC=5  CACR=80008000  PCR=4300622  BUSCR=0
    TC=8000  URP=FD8A000  SRP=FD8A000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0100000000111000 dmacon=%0010011111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...0159  joy0dat..0002  joy1dat..0000  clxdat...8001  
    pot0dat..D300  pot1dat..6A49  potinp...5500  serdatr..3800  dskbytr..8000  
    deniseid.FCF8  hhposr...7F9C  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000000  tb=21FF<21FF	   crb=00000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111110  prb=11111111      pra=11111111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=000032  icr=00  sdr=00    event=003D22  icr=04  sdr=00
    
    ? file icon blaster.2.whdl_register (3,678 bytes) 2017-12-21 14:58 +
  • ? file icon Blastar-2.slave (1,568 bytes) 2018-06-19 11:30

-Relationships
+Relationships

-Notes

note ~0005958

StingRay (developer)

I've applied interrupt fixes for the copper and vblank interrupt. Problem still present with the attached slave?

note ~0005959

Wepl (manager)

With the new Slave exact the same fault appears.

note ~0005960

StingRay (developer)

That is pretty strange as the interrupts are definitely fixed so it shouldn't fault with ChkInts. Can you attach the register log once the new slave fails again please? Unless it is 100% the same as old one but that should not be case.

note ~0005961

Wepl (manager)

attached.
the code above has changed but listing is too short to end of actual interrupt code...

note ~0005962

Wepl (manager)

$0fbb6860 move.w #$20,($dff09c)
$0fbb6868 movem.l (a7)+,d0-d7/a0-a6 ;$0fc2837c
$0fbb686c rte
doesn't look good?

note ~0006254

StingRay (developer)

It indeed didn't look good, offsets for interrupt fixes were wrong (relocation header wasn't taken into account). Try attached slave please, the patch should now not fault anymore with ChkInts.

note ~0006257

Wepl (manager)

works with ChkInts now
still some gfx trembling, probably a timing issue and hard to locate

note ~0006259

StingRay (developer)

Thanks for super fast testing. :) At least the interrupts are fixed now, I'll check the code more thoroughly in the coming days/weeks to find the cause of the trembling graphics.
+Notes

-Issue History
Date Modified Username Field Change
2017-12-21 12:50 Wepl New Issue
2017-12-21 12:50 Wepl File Added: blastar.whdl_register
2017-12-21 12:50 Wepl Assigned To => StingRay
2017-12-21 12:50 Wepl Status new => assigned
2017-12-21 12:51 Wepl Description Updated View Revisions
2017-12-21 14:15 StingRay File Added: Blastar.slave
2017-12-21 14:15 StingRay Note Added: 0005958
2017-12-21 14:31 Wepl Note Added: 0005959
2017-12-21 14:54 StingRay Note Added: 0005960
2017-12-21 14:58 Wepl File Added: blaster.2.whdl_register
2017-12-21 14:58 Wepl Note Added: 0005961
2017-12-21 15:01 Wepl Note Added: 0005962
2018-06-19 11:29 StingRay Note Added: 0006254
2018-06-19 11:30 StingRay File Added: Blastar-2.slave
2018-06-19 22:54 Wepl Note Added: 0006257
2018-06-20 14:47 StingRay Note Added: 0006259
2019-06-24 11:42 StingRay Assigned To StingRay =>
2020-04-08 00:04 JOTD Assigned To => JOTD
+Issue History